> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/live-data-scenarios-1/match-finished.md).

# Match Finished

## Overview

Match results will be calculated as soon as the umpire enters the final point into their tablet.

However, the match is not confirmed as FINAL until the 'Match Finished' packet is sent.

This is done so that if the umpire makes a mistake awarding a point to a team, they can undo it.

## Packet

The 'Match Finished' packet is the final packet that is sent through for a match, e.g:

* Match Finished JSON

```
{
  "eventElementType": "MatchFinished",
  "matchTime": "02:27:00",
  "reason": "Normally",
  "seqNum": 594,
  "timestamp": "2024-07-14T15:37:57.180Z",
  "won": "TeamA"
}
```

#### Best Practice

You should use this packet to:

* Settle Winner Markets
* Assume that the event has finished and disconnect from the event


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/live-data-scenarios-1/match-finished.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
